%global         commit dbbaacbd45639e902171954c88eb2e8168207d2a
%global         snapshotdate 20231017
%global         shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cavil
Version:        0^%{snapshotdate}git%{shortcommit}
Release:        1%{?dist}
Summary:        A legal review and Software Bill of Materials (SBOM) system

License:        TBD
URL:            https://github.com/openSUSE/cavil
Source0:        https://github.com/openSUSE/%{name}/archive/%{shortcommit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch

#BuildRequires:  
Requires:       rubygem-sass
Requires:       perl(Mojolicious)
Requires:       perl(Mojolicious::Plugin::Webpack)
Requires:       perl(Mojo::Pg)
Requires:       perl(Minion)
Requires:       perl(File::Unpack2)
Requires:       perl(Cpanel::JSON::XS)
Requires:       perl(Spooky::Patterns::XS)
Requires:       perl(Mojolicious::Plugin::OAuth2)
Requires:       perl(Mojo::JWT)
Requires:       perl(BSD::Resource)
Requires:       perl(Term::ProgressBar)
Requires:       perl(Text::Glob)

%description
* Source code legal review system for RPMs, Tarballs, Kiwi images, Docker images, and Helm charts
* High performance source code scanner with support for recursively decompressing almost any archive format
* 25.000 curated patterns for 1000 licenses with 500 distinct SPDX expressions
* Software Bill of Materials (SBOM) support with SPDX 2.2 reports
* Legal risk assessments by lawyers for every pattern match
* Human reviews with approval/rejection workflow, and optional automatic approvals based on risk
* Optional support for machine learning models to classify pattern matches
* REST API for integration into existing source code management systems
* Open Build Service integration via bots
* OpenID Connect (OAuth 2.0) authentication

%prep
%autosetup -n %{name}-%{commit}


%build


%install


%files
#license add-license-file-here
#doc add-docs-here



%changelog
* Tue Nov 21 2023 msuchy <msuchy@redhat.com>
- initial release 
